Mail archive
alpine-aports

[alpine-aports] [PATCH] main/libhiredis: new aport (v0.12.1)

From: Nathan Angelacos <nangel_at_alpinelinux.org>
Date: Thu, 12 Feb 2015 19:43:00 +0000

A Minimalistic C client for Redis from https://github.com/redis/hiredis
Needed for kamailio redis module.
---
 main/libhiredis/APKBUILD | 35 +++++++++++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)
 create mode 100644 main/libhiredis/APKBUILD
diff --git a/main/libhiredis/APKBUILD b/main/libhiredis/APKBUILD
new file mode 100644
index 0000000..b920897
--- /dev/null
+++ b/main/libhiredis/APKBUILD
_at_@ -0,0 +1,35 @@
+# Maintainer: Nathan Angelacos <nangel_at_alpinelinux.org>
+_upstream=hiredis
+pkgname=lib$_upstream
+pkgver=0.12.1
+pkgrel=0
+pkgdesc="Minimalistic C client library for Redis"
+url="https://github.com/redis/hiredis/"
+arch="all"
+license="BSD"
+subpackages="$pkgname-dev $pkgname-doc"
+depends=
+depends_dev=
+makedepends="$depends_dev"
+source="$pkgname-$pkgver.tar.gz::https://github.com/redis/$_upstream/archive/v$pkgver.tar.gz"
+_builddir="$srcdir/$_upstream-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$srcdir"/$_upstream-$pkgver
+	make PREFIX="$pkgdir"/usr install || return 1
+	rm "$pkgdir"/usr/lib/*.la
+
+	install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="914e4aa8ab4a3f60d5739d2106e50502  libhiredis-0.12.1.tar.gz"
+sha256sums="194df55484a506e921da784913a07fbda86e2608b5aabd1ffe9bb1de330099a8  libhiredis-0.12.1.tar.gz"
+sha512sums="c0d8595bf24b762dfca2b16214d9c72375f46695d6e304ac994973e104b6699f588da83f3bcf44103b5fb0b34823fd7173905f3b1917669ee02982714e661863  libhiredis-0.12.1.tar.gz"
-- 
2.2.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Thu Feb 12 2015 - 19:43:00 GMT